summaryrefslogtreecommitdiffstats
path: root/kud/tests/integration_cFW.sh
diff options
context:
space:
mode:
authorVictor Morales <victor.morales@intel.com>2019-03-22 23:24:43 +0000
committerGerrit Code Review <gerrit@onap.org>2019-03-22 23:24:43 +0000
commit79b27040152a7c4ce3145b15d726645d90ea79d9 (patch)
tree1ca12bbed0c44084d32bc29c62db2dec3a589257 /kud/tests/integration_cFW.sh
parent838ddaa50041ac4c33adeb2c8a33340fdfe2c952 (diff)
parent1fd5b3964a142be6c176dcc886d79a614c04ce70 (diff)
Merge "Restructuring the repo."
Diffstat (limited to 'kud/tests/integration_cFW.sh')
-rwxr-xr-xkud/tests/integration_cFW.sh33
1 files changed, 33 insertions, 0 deletions
diff --git a/kud/tests/integration_cFW.sh b/kud/tests/integration_cFW.sh
new file mode 100755
index 00000000..92c280b9
--- /dev/null
+++ b/kud/tests/integration_cFW.sh
@@ -0,0 +1,33 @@
+#!/bin/bash
+# SPDX-license-identifier: Apache-2.0
+##############################################################################
+# Copyright (c) 2018
+# All rights reserved. This program and the accompanying materials
+# are made available under the terms of the Apache License, Version 2.0
+# which accompanies this distribution, and is available at
+# http://www.apache.org/licenses/LICENSE-2.0
+##############################################################################
+
+set -o errexit
+set -o nounset
+set -o pipefail
+
+source _common.sh
+source _functions.sh
+
+csar_id=4f726e2a-b74a-11e8-ad7c-525400feed2
+
+# Setup
+populate_CSAR_containers_vFW $csar_id
+
+pushd ${CSAR_DIR}/${csar_id}
+for resource in $unprotected_private_net $protected_private_net $onap_private_net; do
+ kubectl apply -f $resource.yaml
+done
+setup $packetgen_deployment_name $firewall_deployment_name $sink_deployment_name
+
+# Test
+popd
+
+# Teardown
+teardown $packetgen_deployment_name $firewall_deployment_name $sink_deployment_name